Subject: Re: What ixgbe devices support HWTSTAMP_FILTER_ALL for hardware time stamping?

From: Richard Cochran <[email-masked]>
Date: Sun, 15 May 2016 09:51:30 +0200

On Sat, May 14, 2016 at 07:11:50PM -0700, Guy Harris wrote:
> It could do a combination of #2 and #1, where "offers all
> possibilities" is replaced by "opens the adapter, tries each of the
> possibilities, and offers the ones that don't fail" - but, other
> than the current bugs with ETHTOOL_GET_TS_INFO, I don't see any
> advantage to doing only #1, rather than trying #2, perhaps with some
> special-casing to work around the bugs in question, and only falling
> back on actually trying to set the options if we can't ask about
> them.

Right.

Regarding the drivers you found, even if you can't patch them
yourself, please write the maintainers directly with me and netdev on
CC in order to bring attention to the bugs.

The get_maintainer.pl script can help identify the maintainers.

Thanks,
Richard